# List companies

### Input

User needs to provide search phrase. The search phrase should be detailed enough to find a specific company, results are limited up to 200 companies

<table><thead><tr><th width="148">Attribute</th><th width="259">Type</th><th>Description</th></tr></thead><tbody><tr><td>search</td><td>String</td><td>Search phrase (at least 3 characters)</td></tr></tbody></table>

### Output

| Attribute     | Type   | Description                                 |
| ------------- | ------ | ------------------------------------------- |
| status        | String | The status of the company (Active/Stopped). |
| companyNumber | String | The company's registration number.          |
| companyName   | String | The name of the company.                    |
| address       | String | The address of the company.                 |

```json
{
  "cbe": [
    {
      "status": "Active",
      "companyNumber": "0402.534.459",
      "companyName": "'Les Grands Voyages Floreffe-Car Cayer et Preud'Homme'",
      "address": "Rue Camille-Giroul 24, 5150 Floreffe"
    },
    {
      "status": "Active",
      "companyNumber": "0406.564.117",
      "companyName": "@VANTAGE 4 YOU",
      "address": "Kleinbeekweg 20, 2970 Schilde"
    },
    {
      "status": "Stopped",
      "companyNumber": "0413.604.139",
      "companyName": "A. et J. Car-Wash société de personnes a responsabilité limitée",
      "address": "Rue des Champs Elysées 18C, 1050 Ixelles"
    },
    {
      "status": "Stopped",
      "companyNumber": "0404.762.192",
      "companyName": "A.T.T. Cleaning Car Wash",
      "address": "Kaai 328 (Zesde Havendok) , 2000 Antwerpen"
    }
  ]
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.transactionlink.io/docs/v1/integrations/cbe-belgium-company-register/company-profile/list-companies.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
